unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls, VCLTee.TeeEdit;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Chart2: TChart;
    ShowEditor1: TButton;
    ShowEditor2: TButton;
    MadeTempleate: TButton;
    GDIPlusChart1: TCheckBox;
    GDIPlusChart2: TCheckBox;
    ChartEditor1: TChartEditor;
    ChartEditor2: TChartEditor;
    procedure FormCreate(Sender: TObject);
    procedure GDIPlusChart1Click(Sender: TObject);
    procedure GDIPlusChart2Click(Sender: TObject);
    procedure ShowEditor1Click(Sender: TObject);
    procedure ShowEditor2Click(Sender: TObject);
    procedure MadeTempleateClick(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
uses VCLTee.Series, VCLTee.TeeStore, VCLTee.TeExport, VCLTee.TeCanvas;

procedure TForm1.FormCreate(Sender: TObject);
var Series1 :TLineSeries;
var Series2 :TLineSeries;
begin
//Assign Editors
ChartEditor1.Chart := Chart1;
ChartEditor2.Chart := Chart2;

Chart2.Align:=alRight;
Chart1.Align :=alLeft;
//Set True checkBoxes
GDIPlusChart1.Checked := True;
GDIPlusChart2.Checked := True;
//InitializeChart1
Series1 := TLineSeries.Create(Self);
Chart1.AddSeries(Series1);
Series1.FillSampleValues();
Series2:= TLineSeries.Create(Self);
Chart2.AddSeries(Series2);
end;

procedure TForm1.GDIPlusChart1Click(Sender: TObject);
begin
if GDIPlusChart1.Checked = false then
Chart1.Canvas := TTeeCanvas3D.Create
Else
 Chart1.Canvas:=TGDIPlusCanvas.Create;
end;

procedure TForm1.GDIPlusChart2Click(Sender: TObject);
begin
if GDIPlusChart2.Checked = false then
Chart2.Canvas := TTeeCanvas3D.Create
Else
Chart2.Canvas := TGDIPlusCanvas.Create;
end;

procedure TForm1.MadeTempleateClick(Sender: TObject);
var tmp : TMemoryStream;
    {$IFDEF CLR}
    tmpChart : TCustomChart;
    {$ENDIF}
begin
  { 1) Save the template into a Stream... }
  tmp:=TMemoryStream.Create;
  try
    { save only Chart and Series formatting, NOT including data }
    SaveChartToStream(Chart1,tmp,True,True);
    { 2) Load the template into other Chart... }
    tmp.Position:=0; { <-- set stream position to beggining of stream }
    LoadChartFromStream(TCustomChart(Chart2),tmp);
    { restore the chart alignment (in this example) }
    Chart2.Align:=alRight;
    Chart1.Align :=alLeft;
 finally
    { remove the stream, it's no longer necessary... }
    tmp.Free;
  end;
end;

procedure TForm1.ShowEditor1Click(Sender: TObject);
begin
ChartEditor1.Execute;
end;

procedure TForm1.ShowEditor2Click(Sender: TObject);
begin
ChartEditor2.Execute;
end;

end.
